import { httpApi } from '../../request/httpApi'

export default {
    //获取合同段划分树中被标记为首件的节点
    async queryContractWbsTreeByFirstInfo(form, msg = true) {
        return httpApi({
            //url: '/api/blade-business/informationWriteQuery/queryContractWbsTreeByFirstInfo',
            url: '/api/blade-user/wbs/informationWriteQuery/queryContractWbsTreeByFirstInfo',
            method: 'get',
            params: form,
        }, msg)
    },
    //分页数据
    async getQueryPageData(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/informationWriteQuery/page',
            method: 'post',
            data: form,
        }, msg)
    },
    //首件表单获取html页面
    async getFirstExcelHtml(form, msg = true) {
        return httpApi({
            url: '/api/blade-manager/first/get-first-excel-html',
            method: 'get',
            params: form,
        }, msg)
    },
    //首件-pdf预览
    async getFirstBussPdfInfo(form, msg = true) {
        return httpApi({
            url: '/api/blade-manager/first/get-first-buss-pdfInfo',
            method: 'get',
            params: form,
        }, msg)
    },
    //获取首件用户保存数据
    async getFirstBussDataInfo(form, msg = true) {
        return httpApi({
            url: '/api/blade-manager/first/get-first-buss-dataInfo',
            method: 'get',
            params: form,
        }, msg)
    },
    //填报页面数据保存
    async saveBussData(form, msg = true) {
        return httpApi({
            url: '/api/blade-manager/exceltab/save_log_first_buss_data',
            method: 'post',
            data: form,
        }, msg)
    },
    async queryFirstDocumentTitle(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/informationWriteQuery/queryFirstDocumentTitle',
            method: 'get',
            params: form,
        }, msg)
    },
    //批量打印
    async batchPrint(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/informationWriteQuery/batchPrint',
            method: 'post',
            params: form,
        }, msg)
    },
}
